Subject: [storm] Working Group Last Call - Internet Small Computer Systems Interface (iSCSI) SCSI Features Update

From: "Black, David" <[email-masked]>
Date: Wed, 26 Jun 2013 11:31:35 -0400

This message is to announce the STORM working group Last Call on the following document:

  Internet Small Computer Systems Interface (iSCSI) SCSI Features Update
                 draft-ietf-storm-iscsi-sam-07.txt

https://datatracker.ietf.org/doc/draft-ietf-storm-iscsi-sam/

This document defines enhancements to the iSCSI protocol to support certain additional features of the SCSI
protocol that were defined in SAM-3, SAM-4, and SAM-5.  This document is a companion document to [draft-ietf-storm-iscsi-cons-xx].

Last Call comments are due by Wednesday, July 10 at midnight Eastern time (two weeks from today).  With luck, that'll leave just enough time to get a revised version of the draft submitted before the July 15th cutoff for the Berlin meetings.

Please send all technical comments to the storm mailing list: [email-masked] .
Editorial comments may be sent directly to the draft authors: [email-masked] .

The primary purpose of this second WG Last Call is to review the specification of the iSCSIProtocolLevel key and related behavior.  I can already see that some changes will be needed, as the new IANA registry for the values of that key has to be expanded to include a description string, so that we can put the magic words "no version claimed" into that new registry for the value.  This is necessary in order to use the values of that key in constructing version descriptor values for iSCSI in SCSI standard inquiry data (see subclause 6.6.2 of the current working draft revision of SPC-4).

The diff of the current -07 version of this draft against the -06 version is not easy to work with.  If I can find the time next week, I'll try to post a diff against a reformatted -06 version that removes a lot of differences caused by text movement.

-- David Black
STORM WG co-chair
----------------------------------------------------
David L. Black, Distinguished Engineer
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------